Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Namespaces | Constant Groups
BufferedDeletes.h File Reference
`#include "Term.h"`
`#include "Query.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::BufferedDeletes
| Holds buffered deletes, by docID, term or query. We hold two instances of this class: one for the deletes prior to the last flush, the other for deletes after the last flush. This is so if we need to abort (discard all buffered docs) we can also discard the buffered deletes yet keep the deletes done during previously flushed segments. More...
class | Lucene::Num
| Number of documents a delete term applies to. More...

## Namespaces

| Lucene

## Constant Groups

| Lucene

clucene.sourceforge.net